Ошибка: сборник Android в eclipse

При попытке добавить источник android для eclipse я получаю следующие ошибки.

Project 'android' is missing required library: 'out/target/common/obj/JAVA_LIBRARIES/gsf-client_intermediates/javalib.jar' Project 'android' is missing required library: 'out/target/common/obj/JAVA_LIBRARIES/google-common_intermediates/javalib.jar' 

FYI, я успешно сгенерировал источник с конфигурацией full_maguro-userdebug (для Galaxy Nexus), прежде чем добавлять это в eclipse. Поскольку я не мог найти «создать проект из существующего источника» в Eclipse Indigo, я изменил местоположение проекта в корневой каталог источника. Я обновил проект несколько раз с той же ошибкой.

Как решить эту проблему?

Solutions Collecting From Web of "Ошибка: сборник Android в eclipse"

Вы должны перейти в Project -> Properties -> Java Build Path .

Там открыта вкладка « Libraries .

В этой вкладке out/target/common/obj/JAVA_LIBRARIES/google-common_intermediates/javalib.jar следует изменить на out/target/common/obj/JAVA_LIBRARIES/android-common_intermediates/javalib.jar , выбрав javalib.jar из google-common_intermediates , Нажав Edit и выбрав вместо android-common_intermediates.

Запись с помощью gsf-client_intermediates javalib.jar может быть просто удалена.

Более полный ответ можно найти здесь: https://groups.google.com/forum/?fromgroups=#!topic/android-platform/XIbR8ZKe7Tw

Я бы не рекомендовал использовать eclipse для источника android. Android – это не один проект, и он слишком велик для IDE, например, для eclipse.

Используйте простые текстовые редакторы, такие как vim, emacs для просмотра кода